(Deprecated) Credit an Account with a non 3-D Secure Card Payment (PCI-DSS compliant only)

If your system is not PCI-DSS do not to save any card data on your system. This method enables you to credit an account with a non 3-D Secure card payment. Should only be used on mobile devices. For internet payments use 3-D Secure.
This method allows our system to credit a wallet and debit a card in real time. Your server has to send us the wallet ID to credit, all card data, the amount, and a comment.
Note: Lemonway does not recommend you use the MoneyIn method from January 2021. You should now use POST /moneyins/card/direct/3dini and PUT /moneyins/card/direct/{transactionid}/3dconfirm only.

Body Params
card
object
required
boolean

Mercanet Only Indicates if the request is delayed and will require validation.

  1. If true, payment will only be pre-authorized, you will have to call MoneyInValidate within 6 days or [delayedDays] in order to request the card debit.
  2. If empty, the default behavior is no delay and no validation necessary (unless stated otherwise in your contract).
  3. If false, the card will be debited without delay and without validation necessary.
int32

Mercanet Only If isPreAuth is not true, this will be ignored. Please use with caution, if delayedDays > 6, it is possible that the payment will be denied when you try to validate it, because a new authorization will be made.

string

Leave Empty

string
length between 0 and 50

Unique ID of the call, generated by your server. This ID can be used as a search field when looking for operation details

string
required
length between 0 and 256

Payment Account ID to Credit

int32

Amount to Debit Amounts are given as integer numbers in cents

int32

Your Fee Amounts are given as integer numbers in cents

string
length between 0 and 140

Comment Regarding the Transaction

boolean

If true:

  1. [amountCom] will be ignored and will be replaced with Lemonway's fee
  2. You will not receive any fee
Headers
string
required

Authorization bearer (OAuth 2)

string

Response language accepted by final client (PSU). English by default

string
required

IP address of the final client (PSU).

string

User-agent of the final client (PSU).

Responses

401

Unauthorized

500

InternalServerError

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json